Subject: bug#63865: 29.0.90; call-process while owning the X selection hangs other processes

From: Po Lu <[email-masked]>
Date: Sat, 03 Jun 2023 17:31:30 +0800

Eli Zaretskii <[email-masked]> writes:

> It is strange that you cannot reproduce this.  I thought that when
> another application requests a selection or clipboard text, the owner
> (Emacs in this case) gets called, and since Emacs is sleeping, we
> won't respond.
>
> Are there some other factors involved in this interaction that I'm
> missing?

In this case, the requestor should time out and give up (which is what I
see.)  It should not simply freeze.  So my guess is Emacs is responding
to the selection request in some way that confuses the requestor.